Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# FileIO Namespace Reference

Namespace for file IO related classes. More...

## Compounds
struct | ErrorMessageS
struct | FileHandlePatchS
struct | ChunkHdrS
class | LoadC
| Demopaja input stream. More...
class | SaveC
| Demopaja output stream. More...
## Enumerations
enum | FileIOErrorsE { IO_OK = 0, IO_END, IO_EOF, IO_ERROR_OPEN, IO_ERROR_WRITE, IO_ERROR_READ, IO_ERROR_FORMAT }
| File IO errors. More...

## Detailed Description

Namespace for file IO related classes.

## Enumeration Type Documentation

enum FileIOErrorsE

  | File IO errors. Set of error codes returned from the calls to file IO classes. Enumeration values:
  IO_OK | OK, no error.
  IO_END | Preliminary end of file.
  IO_EOF | End of file, no error.
  IO_ERROR_OPEN | Error opening file.
  IO_ERROR_WRITE | Error writing to a file.
  IO_ERROR_READ | Error reading from a file.
  IO_ERROR_FORMAT | Bad file format.